@import url("/share/static/css/default_page.css");

main {

    display: grid;
    justify-content: center;
}


.partners {
    --title-font-sz: 35px;
    --title-span-font-sz: 37px;
    --default-font-sz: 22px;
    --question-font-sz: 27px;

    max-width: 1080px;
    width: 100%;
    padding-top: 5%;
    background-color: white;

    h1 {
        color: var(--font-color);
        font-size: var(--title-font-sz);
        padding-bottom: 1%;

        span {
            color: var(--bic-color);
            font-size: var(--title-span-font-sz);
        }
    }

    hr {
        margin-bottom: 2rem;
        border: 1px solid rgb(216, 216, 216);
    }

    .container {
        padding: 0 2%;

        .img-container {
            text-align: center;
            margin-bottom: 3rem;

            img {
                width: 50%;
                max-width: 300px;

            }
        }

        p {
            color: var(--font-color);
            font-size: var(--default-font-sz);
            margin-bottom: 1.5rem;

            &.question {
                font-weight: bold;
                font-size: var(--question-font-sz);
                color: gray;
                color: var(--contrast-color);
                margin-bottom: 1rem;
            }

            a {
                color: var(--contrast-color);
                text-decoration: underline;
            }
        }

        #form-app {
            display: grid;
            place-items: center;
            margin: 5rem 0;
            background-color: whitesmoke;
            border-radius: var(--border-radius);
            padding: 2%;



            button {
                cursor: pointer;
                padding: 0.5rem 1rem;
                border-radius: var(--border-radius);
                background-color: var(--bic-color);
                border: 2px solid var(--bic-color);
                color: white;
                font-size: var(--default-font-sz);
                font-weight: lighter;
                transition: var(--default-transition);

                &:hover {
                    color: var(--bic-color);
                    background-color: var(--invisible);
                    transition: var(--default-transition);
                }
            }

            .box {
                display: grid;
                grid-template-columns: 40% 60%;
                margin-bottom: 1rem;

                label {
                    font-size: var(--default-font-sz);
                    font-weight: lighter;
                    color: var(--font-color);
                }

                input {
                    height: 2.5rem;
                    width: 100%;
                    border-radius: var(--border-radius);
                    border: 2px solid var(--bic-color);
                    padding: 0.5rem;
                    font-size: var(--default-font-sz);
                    color: var(--font-color);
                    outline: none;

                    &:invalid {
                        border: 2px solid red;
                    }

                }
            }

        }
    }

    @media screen and (max-width: 1000px) {
        --title-font-sz: 30px;
        --title-span-font-sz: 32px;
        --default-font-sz: 20px;
        --question-font-sz: 24px;
    }

    @media screen and (max-width: 800px) {
        --title-font-sz: 25px;
        --title-span-font-sz: 27px;
        --default-font-sz: 18px;
        --question-font-sz: 22px;

        h1 {
            margin: 0 1rem 0 1rem;
        }
    }

}
